Bug 882649 - Cannot remove the payload via REST
Cannot remove the payload via REST
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.1.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3.2.0
Assigned To: Shahar Havivi
Barak Dagan
virt
: ZStream
Depends On:
Blocks: 883881 915537
  Show dependency treegraph
 
Reported: 2012-12-02 08:28 EST by Oved Ourfali
Modified: 2013-06-11 04:49 EDT (History)
10 users (show)

See Also:
Fixed In Version: sf1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 883881 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Oved Ourfali 2012-12-02 08:28:36 EST
Description of problem:
When trying to remove an existing VM payload, the request ends successfully, but the payload isn't removed.


How reproducible:
Always

Steps to Reproduce:
1. Add a VM payload via REST
2. Try to remove it via REST (PUT + <vm><payloads/></vm>)
  
Actual results:
Succeeds, but payload is still there.

Expected results:
Succeeds, payload is deleted.
Comment 1 Shahar Havivi 2012-12-03 07:07:02 EST
Posted at: http://gerrit.ovirt.org/#/c/9665/
Comment 4 Barak Dagan 2013-05-20 09:41:44 EDT
Verified SF17:

PUT /api/vms/bae28aa8-6c26-415a-bce4-b72a2dda1688

<vm>
    <payloads>
        <payload type="floppy">
            <file name="file.create.floppy">
                <content>floppy create payload!</content>
            </file>
        </payload>
    </payloads>
</vm>

GET /api/vms/bae28aa8-6c26-415a-bce4-b72a2dda1688

...
    <stateless>false</stateless>
    <delete_protected>false</delete_protected>
    <payloads>
        <payload type="floppy">
            <file name="file.create.floppy">
                <content>floppy create payload!</content>
            </file>
        </payload>
    </payloads>
    <placement_policy>
        <affinity>migratable</affinity>
    </placement_policy>

....


After VM is up and down:

PUT /api/vms/bae28aa8-6c26-415a-bce4-b72a2dda1688

<vm><payloads/></vm>

GET /api/vms/bae28aa8-6c26-415a-bce4-b72a2dda1688
...
    <delete_protected>false</delete_protected>
    <placement_policy>
        <affinity>migratable</affinity>
    </placement_policy>
    <memory_policy>
...
Comment 5 Itamar Heim 2013-06-11 04:41:42 EDT
3.2 has been released
Comment 6 Itamar Heim 2013-06-11 04:41:42 EDT
3.2 has been released
Comment 7 Itamar Heim 2013-06-11 04:41:44 EDT
3.2 has been released
Comment 8 Itamar Heim 2013-06-11 04:49:05 EDT
3.2 has been released

Note You need to log in before you can comment on or make changes to this bug.